%define major   1
%define libxvmc %mklibname xvmc %{major}
%define devxvmc %mklibname xvmc -d

Name: libxvmc
Summary:  The XvMC Library
Version: 1.0.13
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXvMC-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xv) >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The XvMC Library

#-----------------------------------------------------------

%package -n %{libxvmc}
Summary:  The XvMC Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxvmc}
The XvMC Library

%files -n %{libxvmc}
%{_libdir}/libXvMC.so.%{major}*
%{_libdir}/libXvMCW.so.%{major}*

#-----------------------------------------------------------

%package -n %{devxvmc}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxvmc} = %{version}-%{release}
Provides: libxvmc-devel = %{version}-%{release}
Obsoletes: %{_lib}xvmc1-devel < 1.0.8-2
Obsoletes: %{_lib}xvmc1-static-devel < 1.0.8-2

%description -n %{devxvmc}
Development files for %{name}

%files -n %{devxvmc}
%{_libdir}/libXvMCW.so
%{_libdir}/libXvMC.so
%{_libdir}/pkgconfig/xvmc.pc
%{_includedir}/X11/extensions/XvMClib.h
%dir %{_docdir}/libXvMC
%{_docdir}/libXvMC/XvMC_API.txt
%{_includedir}/X11/extensions/vldXvMC.h
%{_libdir}/pkgconfig/xvmc-wrapper.pc
#-----------------------------------------------------------

%prep
%setup -q -n libXvMC-%{version}


%build
export LIBS="-ldl"

%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%changelog
* Wed Aug 02 2023 tex - 1.0.13-2pclos2023
- rebuild against updates

* Fri Apr 01 2022 tex - 1.0.13-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.0.12-3pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.0.12-2pclos2021
- rebuild against updates

* Wed Sep 25 2019 tex - 1.0.12-1pclos2019
- new version

* Sun Mar 31 2019 tex - 1.0.11-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.0.11-2pclos2019
- rebuild against updates

* Sun Mar 17 2019 tex - 1.0.11-1pclos2019
- rebuild against updates
